<?php
$root =dirname(dirname(dirname(dirname(dirname(__FILE__)))));

if ( file_exists( $root.'/wp-load.php' ) ) {
    require_once( $root.'/wp-load.php' );
} elseif ( file_exists( $root.'/wp-config.php' ) ) {
    require_once( $root.'/wp-config.php' );
}
header("Content-type: text/css; charset=utf-8");
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
global $orido_redux_demo; 
$b=$orido_redux_demo['main-color-1'];
$rgba = hex2rgb($b);  
?>
:root{
    --main-color-2: <?php echo esc_attr($orido_redux_demo['main-color-1']); ?>;
    --extra-color: <?php echo esc_attr($orido_redux_demo['main-color-2']); ?>;
}
.orido_tm_header .button a,
.orido_tm_informations .right .filter .ccc{
   border: 1px solid <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>; 
}
.orido_tm_header .button a:hover,
.orido_tm_header .menu .ccc,
.orido_tm_hero .short .job:before,
.orido_tm_boxed_button a:hover,
.orido_tm_main_title h3 span:before,
.orido_tm_about .orido_tm_boxed_button a:hover,
.orido_tm_informations .skillbox .icon,
.orido_tm_informations .timelinebox .job span:before,
.orido_tm_portfolio .portfolio_list .title span:before,
.orido_tm_testimonials .details .name span:before,
.orido_tm_contact,
.error-page,
blockquote,
.cm-respond,
a.comment-reply-link:hover,
.orido_tm_contact .orido_tm_button input[type="submit"]:hover{
   background-color: <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>;
}
.orido_tm_service .service_list ul li{
   border-bottom: 1px solid <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>;
}
.orido_tm_service .service_list ul li:first-child{
   border-top: 1px solid <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>;
}
.rightSidebar .widget_tag_cloud ul li a:hover,
.aon-tags .tagcloud a:hover{
    background-color: <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>;
    border: 1px solid <?php echo esc_attr($orido_redux_demo['main-color-3']); ?>;
}